package com.smppw.common.pojo.enums;

import java.util.stream.Stream;

/**
 * @author zhengsongliang
 * @datetime 2017年8月7日 下午4:22:10
 */
public enum IndustryType {
	CSI10(1), CITIC5(2),ShenWan(3);
	private int id;

	private IndustryType(int id) {
		this.id = id;
	}

	public static IndustryType getIndustryIndexByNum(int id) {
		return Stream.of(IndustryType.values()).filter(e -> e.id == id).findFirst().orElse(null);
	}

	public int getId() {
		return id;
	}

}
